package repository

import (
	entity "gitlab.com/mbugroup/lti-api.git/internal/entities"
	"gitlab.com/mbugroup/lti-api.git/internal/common/repository"
	"gorm.io/gorm"
)

type PhaseActivityRepository interface {
	repository.BaseRepository[entity.PhaseActivity]
}

type PhaseActivityRepositoryImpl struct {
	*repository.BaseRepositoryImpl[entity.PhaseActivity]
}

func NewPhaseActivityRepository(db *gorm.DB) PhaseActivityRepository {
	return &PhaseActivityRepositoryImpl{
		BaseRepositoryImpl: repository.NewBaseRepository[entity.PhaseActivity](db),
	}
}
